"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageSection = void 0;
var PageSection = /** @class */ (function () {
    function PageSection() {
    }
    /**
     * Creates HTML for a section containing a hierarchy diagram.
     * @param title The title of the section.
     * @param imageUrl The URL to the hierarchy diagram.
     * @param reflectionName The name of the reflection for which the hierarchy diagram was generated.
     * @param legendHtml Possbile HTML for the diagram's legend.
     * @returns The HTML for the section.
     */
    PageSection.createHierarchyDiagramSection = function (title, imageUrl, reflectionName, legendHtml) {
        // URLs with data are not clickable in browsers for security concerns => just output an image tag
        if (imageUrl.startsWith("data:")) {
            return "<section class=\"tsd-panel tsd-hierarchy-diagram\">\n                        <h3>" + title + "</h3>\n                        <img class=\"diagram\" src=\"" + imageUrl + "\"\n                             alt=\"UML class diagram of " + reflectionName + "\"\n                             title=\"Right click and select 'View image' to enlarge\" />\n                        " + (legendHtml !== null && legendHtml !== void 0 ? legendHtml : "") + "\n                    </section>\n";
        }
        else {
            return "<section class=\"tsd-panel tsd-hierarchy-diagram\">\n                        <h3>" + title + "</h3>\n                        <a class=\"diagram\" href=\"" + imageUrl + "\" title=\"Click to enlarge\">\n                            <img src=\"" + imageUrl + "\"\n                                 alt=\"UML class diagram of " + reflectionName + "\" />\n                        </a>\n                        " + (legendHtml !== null && legendHtml !== void 0 ? legendHtml : "") + "\n                    </section>\n";
        }
    };
    return PageSection;
}());
exports.PageSection = PageSection;
